| CMSIS-CORE Version 3.20 CMSIS-CORE support for Cortex-M processor-based devices

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Groups Pages
Data Fields
APSR_Type Union Reference

Union type to access the Application Program Status Register (APSR).

## Data Fields
struct {
uint32_t _reserved0:27
| bit: 0..26 Reserved More...
uint32_t Q:1
| bit: 27 Saturation condition flag More...
uint32_t V:1
| bit: 28 Overflow condition code flag More...
uint32_t C:1
| bit: 29 Carry condition code flag More...
uint32_t Z:1
| bit: 30 Zero condition code flag More...
uint32_t N:1
| bit: 31 Negative condition code flag More...
} | b
| Structure used for bit access. More...
uint32_t | w
| Type used for word access. More...

## Field Documentation

uint32_t APSR_Type::_reserved0

struct { ... } APSR_Type::b

uint32_t APSR_Type::C

uint32_t APSR_Type::N

uint32_t APSR_Type::Q

uint32_t APSR_Type::V

uint32_t APSR_Type::w

uint32_t APSR_Type::Z